---
margin-left: 2cm
margin-right: 2cm
margin-top: 1cm
margin-bottom: 2cm
title: Ava Gaiety W.
description-meta: 'Software Engineer & UX Designer'
keywords: 
  - 'accessibility' 
  - 'ux design' 
  - 'software development'
author-meta: 'ava@wroten.me'
---

###### [https://gaiety.me/](https://gaiety.me/) | [Ava@Wroten.me](mailto:ava@wroten.me) | 443.985.8927 | [Fae/Femme/Faer](https://pronoun.monster/fae/faer/faer/femme/femmeself) or She/Her
#### 12+ years improving lives through building better web apps

## Skills

```Technical Leadership```
```Accessibility```
```Mentoring```
```Cross-Team Collaboration```
```UX Design```
```Presentations```
```Mass Refactoring```
```Documentation```

**Elixir**: Phoenix, Ecto, Triplex, Exdoc, Live Storybook, GetText  
**Javascript**: Typescript, Native Web Components, Ember 8+ Years, React, Vue, Alpine, GraphQL  
**Node**: Nginx, Express, commander.js, yargs, plop, Babel, Webpack, Vite, esbuild  
**Testing**: Jest, Mocha, Qunit, Cypress, Webdriver.io, Selenium  
**Accessibility**: axe-core, Storybook, Web Standards  
**HTML & CSS3**: Tailwind, PostCSS, Sass, SVG/Canvas/Video/Audio, Animations  

## Experience

### Senior Software Architect at PowerSchool Allovue _(3 Years, Current)_

**Elixir** and **Phoenix** building functional full-stack EdFinTech getting every dollar to every student and their faculty.

- **Lead** complex feature development
- Documenting ADRs and code patterns established after deep refactoring
- Worked closely with stakeholders to ensure a successful launch of a new enterprise application
- Became a go-to resource for juniors to grow their skills and get their questions answered

---

**Ember** and **Rails** building full-stack solutions to school district’s budgeting problems.

- Notably improved application **accessibility**
- Extended **Ember Data** to efficiently send batch updates to a **Graphiti** and **Rails API**

### UI Engineer at Oncue _(1 Year)_

**React** engineer with an eye for design and a responsibility for user advocacy for community moving companies.

- Built an **accessible**, **test driven**, and **mobile first** UI Component library in **Storybook**
- Collaborated with Design and Product to establish a robust design system
- Consulted internal projects on **A11y** standards
- Lead cross-team workshops

### Lead Full-Stack Software Engineer at SkillsEngine _(9 Months)_

**Ember** and **Rails** web app features, improvements and mentoring around software vital to closing the skills gap between employers, educators and students.

- Revamped onboarding practices along with employee **mentoring**
- Shifted company from agile to **Shape Up** product development

### Developer III at Q2ebanking _(3 Years, 8 Months)_

**Ember** engineer improving products on multiple teams through **Test-Driven Development** practices.

- Maintained a **mobile-first** dynamic frontend flow applications powered by **CQRS**
- Pitched a **Native Web Component** library with proof of concept
- Collaborated closely with **QA** on a robust **End-to-End** Testing suite
- Co-lead the initiative to push for improved **automation testing** cross-product standards
- Presented company-wide **presentations** around new initiatives and features
- Organized internal developer conventions and a public **Meetup** group

### Senior Web Engineer at Eyemaginations Inc. _(2 Years, 11 Months)_

Wearing multiple hats to deliver the tools doctors need to better educate their patience through **Ember** applications.

- Moved a **PHP** old-school team to a modern framework based approach
- Launched two **Ember**, **HTML5 video and canvas** powered enterprise scale apps
- Lead **UX** design initiatives and tech stack decisions

### Other Jobs

- Web Admin & Interactive Lead at Cyto Communications
- Web Design & Development Intern at Antharia

## Presentations

- **Thinking in Components for Scalability** discussing **Tailwind UI** and **Storybook** at _TestJS Summit_
- **Building the Dream UI Component Library** discussing **Storybook** and web standards at _MagnoliaJS_
- **Achieving A11y Automation Testing** discussing **Ember**, **React**, **Svelte**, and **axe-core** at _TestJS Summit_
- **A11y First, and Everyone Wins** discussing **Ember** at _EmberConf_, _Ember Dallas_, _Ember ATX_, _Austin Accessibility and Inclusive Design_
- **Overcoming Impostor Syndrome** at _NW Austin Professional Developers_

## Volunteering

- **Code2College** developing curriculums around **HTML5**, **A11y** and assisting with interview practice
- **Austin Give Camp** assisting non-profits with mobile readiness, **i18n** and content restructuring

## Education 

- **MS** _Ongoing_ in **Interactive Media and Communications** at _Quinnipiac University_
- **BS** (3.9 GPA, Deans List) in **Design & Information Systems** at _Stevenson University_
- **AA** (4.0 GPA Stewart, Deans List) in **Interactive Technologies** at _AACC_
